gstreamermm: Gst::GioSink Class Reference

gstreamermm 0.10.10.2

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::GioSink Class Reference
gstreamermm Plugins

A Wrapper for the giosink plugin. More...

Inheritance diagram for Gst::GioSink:
[legend]
Collaboration diagram for Gst::GioSink:
[legend]

List of all members.

## Public Member Functions
virtual | ~GioSink ()
GstGioSink* | gobj ()
| Provides access to the underlying C GObject.
const GstGioSink* | gobj () const
| Provides access to the underlying C GObject.
GstGioSink* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::ustring > | property_location ()
| URI location to write to.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_location () const
| URI location to write to.
Glib::PropertyProxy < Glib::RefPtr< Gio::File > > | property_file ()
| GFile to write to.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gio::File > > | property_file () const
| GFile to write to.
## Static Public Member Functions
static Glib::RefPtr< GioSink > | create ()
| Creates a new giosink plugin with a unique name.
static Glib::RefPtr< GioSink > | create (const Glib::ustring& name)
| Creates a new giosink plugin with the given name.
## Protected Member Functions
| GioSink ()
| GioSink (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::GioSink > | wrap (GstGioSink* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the giosink plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::GioSink::~GioSink | ( |  | ) | `[virtual]`

Gst::GioSink::GioSink | ( |  | ) | `[protected]`

Gst::GioSink::GioSink | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<GioSink> Gst::GioSink::create | ( |  | ) | `[static]`

Creates a new giosink plugin with a unique name.

static Glib::RefPtr<GioSink> Gst::GioSink::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new giosink plugin with the given name.

GstGioSink* Gst::GioSink::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSink.

const GstGioSink* Gst::GioSink::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSink.

GstGioSink* Gst::GioSink::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseSink.

Glib::PropertyProxy< Glib::RefPtr<Gio::File> > Gst::GioSink::property_file | ( |  | ) |

GFile to write to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gio::File> > Gst::GioSink::property_file | ( |  | ) | const

GFile to write to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gst::GioSink::property_location | ( |  | ) |

URI location to write to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::GioSink::property_location | ( |  | ) | const

URI location to write to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::GioSink > wrap | ( | GstGioSink * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/giosink.h